<template>
	<div class="empty-card" v-on:click="$emit('clicked')">
		<div class="vairus-header flex space">
			<div class="name hustle">???</div>
		</div>

		<div class="vairus-content">
			<div class="wrapper">
				<div class="image">
					<div class="question-mark hustle align-center">?</div>
				</div>
			</div>
		</div>
		
		<div class="vairus-stats align-center">
			{{ getLocale('select_vairus') }}
		</div>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	export default {
		mixins: [commonMixin],
	}
</script>


<style lang="scss" scoped>
	@import "../styles/variables";

	.empty-card{
		position: relative;
		margin: 10px;
		width: 225px;
		height: 320px;
		background-color: $black;
		box-shadow: 0px 2px 10px 0px rgba(36, 36, 36, 0.30);
		border-radius: 10px;
		cursor: pointer;
		
		
		.vairus-header{
			padding: 10px;
			
			.name{
				font-size: 40px;
				text-transform: lowercase;
			}
		}
		
		.vairus-content{
			padding: 10px;
			padding-top: 0;
			
			.wrapper{
				position: relative;
				padding-top: 100%;
				
				.image{
					position: absolute;
					top: 0;
					bottom: 0;
					left: 0;
					right: 0;
					background-color: white;
					border-radius: 50%;
					border-width: 5px;
					border-style: solid;
					overflow: hidden;
					
					.question-mark{
						position: absolute;
						left: 52%;
						top: 55%;
						transform: translate(-50%, -50%);
						font-size: 7em !important;
						color: black;
					}
				}
			}
		}
		
		
		.vairus-stats{
			padding: 10px;
			text-align: center;
		}
	}
	
	@media screen and (max-height: 480px) {
		.empty-card{
			width: 175px;
			height: 250px;
			
			.vairus-stats{
				padding: 0;
			}
		}
	}
</style>








